#ifndef  __ZTE_EVDO_TERMINAL__

#define  __ZTE_EVDO_TERMINAL__

#include   <linux/version.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,20)
#define  usb_endpoint_is_bulk_in(endpoint)   \
	((endpoint->bEndpointAddress & 0x80) &&((endpoint->bmAttributes & 3) == 0x02)) 

#define  usb_endpoint_is_bulk_out(endpoint) \
		(((endpoint->bEndpointAddress & 0x80) == 0x00) && ((endpoint->bmAttributes & 3) == 0x02)) 

#define  usb_endpoint_is_int_in(endpoint) \
		((endpoint->bEndpointAddress & 0x80) &&((endpoint->bmAttributes & 3) == 0x03)) 

#define  usb_endpoint_is_int_out(endpoint) \
		(((endpoint->bEndpointAddress & 0x80) == 0x00) &&((endpoint->bmAttributes & 3) == 0x03))
#endif

/*some supplement for usb-serial.h*/
#define  CONFIG_ZTE_EV_MODEM
extern int  usb_serial_generic_ioctl(struct usb_serial_port *port, struct file * file, unsigned int cmd, unsigned long arg);
extern void  usb_serial_generic_set_termios(struct tty_struct *tty, struct termios * old);

#define dbgg  dbg   //do {  printk(KERN_DEBUG "%s(%d): " format "\n" , __FILE__ , __LINE__,## arg); } while (0)
#endif
